ACPITHINKPAD(4)

NAME
acpithinkpad - IBM/Lenovo ThinkPad ACPI support

SYNOPSIS
acpithinkpad* at acpi?

DESCRIPTION
The acpithinkpad driver provides ACPI support for IBM/Lenovo ThinkPad laptops. It responds to various hotkey button presses such as the brightness adjustment and wireless toggle keys.

The acpithinkpad driver sets up various sensors that indicate the current state of certain hardware devices present on ThinkPad laptops. These include temperature sensors and fan rotational speed sensors, as well as a sensor indicating the current state of the port replicator device. These sensors can be used with sensorsd(8) to perform events on sensor state changes. Note that the port replicator indicator will report a state of UNKNOWN until the first port replicator connect/disconnect event is received.

SEE ALSO
acpi(4), intro(4), sensorsd(8)

HISTORY
The acpithinkpad driver first appeared in OpenBSD 4.4.